import { RegistryMachine } from "./sagas";
import { ActiveAlarms, ChartsMetadata, Snapshot, Alarm } from "./types";
interface RequestCommonColors {
    chartContext: string;
    chartUuid: string;
    colorsAttribute: string | undefined;
    commonColorsAttribute: string | undefined;
    dimensionNames: string[];
}
export declare const requestCommonColorsAction: import("redux-act").SimpleActionCreator<RequestCommonColors, {}>;
interface SetCommonMinAction {
    chartUuid: string;
    commonMinKey: string;
    value: number;
}
export declare const setCommonMinAction: import("redux-act").SimpleActionCreator<SetCommonMinAction, {}>;
interface SetCommonMaxAction {
    chartUuid: string;
    commonMaxKey: string;
    value: number;
}
export declare const setCommonMaxAction: import("redux-act").SimpleActionCreator<SetCommonMaxAction, {}>;
interface SetGlobalSelectionAction {
    chartUuid: string | null;
    hoveredX: number;
}
export declare const setGlobalSelectionAction: import("redux-act").SimpleActionCreator<SetGlobalSelectionAction, {}>;
export interface SetGlobalPanAndZoomAction {
    after: number;
    before: number;
    masterID?: string;
    shouldForceTimeRange?: boolean;
}
export declare const setGlobalPanAndZoomAction: import("redux-act").SimpleActionCreator<SetGlobalPanAndZoomAction, {}>;
export declare const resetGlobalPanAndZoomAction: import("redux-act").EmptyActionCreator;
export interface SetDefaultAfterAction {
    after: number;
}
export declare const setDefaultAfterAction: import("redux-act").SimpleActionCreator<SetDefaultAfterAction, {}>;
export declare const resetDefaultAfterAction: import("redux-act").EmptyActionCreator;
export interface SetGlobalChartUnderlayAction {
    after: number;
    before: number;
    masterID: string;
}
export declare const setGlobalChartUnderlayAction: import("redux-act").SimpleActionCreator<SetGlobalChartUnderlayAction, {}>;
export declare const centerAroundHighlightAction: import("redux-act").EmptyActionCreator;
export declare const clearHighlightAction: import("redux-act").EmptyActionCreator;
interface WindowFocusChangeAction {
    hasWindowFocus: boolean;
}
export declare const windowFocusChangeAction: import("redux-act").SimpleActionCreator<WindowFocusChangeAction, {}>;
export interface FetchHelloPayload {
    serverDefault: string;
}
export interface HelloResponse {
    action: "hello";
    anonymous_statistics: boolean;
    cloud_base_url: string;
    hostname: string;
    machine_guid: string;
    registry: string;
    status: string;
}
export declare const fetchHelloAction: import("redux-act").SimpleActionCreator<FetchHelloPayload, {}> & {
    request: import("redux-act").SimpleActionCreator<FetchHelloPayload, {}>;
    success: import("redux-act").ComplexActionCreator<{
        cloudBaseURL: string;
        hostname: string;
        isCloudEnabled: boolean;
        machineGuid: string;
    }, {}>;
    failure: import("redux-act").ComplexActionCreator<any, {}>;
};
interface UpdatePersonUrlsAction {
    personGuid: string;
    registryMachines: {
        [key: string]: RegistryMachine;
    };
    registryMachinesArray: RegistryMachine[];
}
export declare const updatePersonUrlsAction: import("redux-act").SimpleActionCreator<UpdatePersonUrlsAction, {}>;
export interface AccessRegistrySuccessAction {
    registryServer: string;
}
export declare const accessRegistrySuccessAction: import("redux-act").SimpleActionCreator<AccessRegistrySuccessAction, {}>;
export interface StartAlarmsPayload {
    serverDefault: string;
}
export declare const startAlarmsAction: import("redux-act").SimpleActionCreator<StartAlarmsPayload, {}>;
export declare const fetchAllAlarmsAction: import("redux-act").SimpleActionCreator<unknown, {}> & {
    request: import("redux-act").SimpleActionCreator<unknown, {}>;
    success: import("redux-act").ComplexActionCreator<any, {}>;
    failure: import("redux-act").ComplexActionCreator<any, {}>;
};
export interface UpdateActiveAlarmAction {
    activeAlarms: ActiveAlarms;
}
export declare const updateActiveAlarmsAction: import("redux-act").SimpleActionCreator<UpdateActiveAlarmAction, {}>;
export interface SetOptionAction {
    key: string;
    value: unknown;
}
export declare const setOptionAction: import("redux-act").SimpleActionCreator<SetOptionAction, {}>;
export declare const resetOptionsAction: import("redux-act").EmptyActionCreator;
export declare const loadSnapshotAction: import("redux-act").SimpleActionCreator<{
    snapshot: Snapshot;
}, {}>;
export declare const chartsMetadataRequestSuccess: import("redux-act").SimpleActionCreator<{
    data: ChartsMetadata;
}, {}>;
export interface SetSpacePanelStatusActionPayload {
    isActive: boolean;
}
export declare const setSpacePanelStatusAction: import("redux-act").SimpleActionCreator<SetSpacePanelStatusActionPayload, {}>;
export interface SetSpacePanelTransitionEndPayload {
    isActive: boolean;
}
export declare const setSpacePanelTransitionEndAction: import("redux-act").SimpleActionCreator<SetSpacePanelTransitionEndPayload, {}>;
export declare const setAlarmAction: import("redux-act").SimpleActionCreator<{
    alarm: Alarm;
}, {}>;
export declare const resetRegistry: import("redux-act").EmptyActionCreator;
export declare const setGlobalPauseAction: import("redux-act").EmptyActionCreator;
export declare const resetGlobalPauseAction: import("redux-act").SimpleActionCreator<{
    forcePlay?: boolean;
}, {}>;
export {};
